function [rho_grid,nu_grid]=mgrid(rho_bnds,N,nu_bnds,M)
%Grid
p=size(rho_bnds,1);
interv=cell(1,2*p); 
for i=1:p
    interv{i}=linspace(rho_bnds(i,1),rho_bnds(i,2),N(i));
end;
for i=1:p
    interv{p+i}=linspace(nu_bnds(i,1),nu_bnds(i,2),M(i));
end;
pgridmat=cell(1,2*p);
[pgridmat{:}]=ndgrid(interv{:});
ne=numel(pgridmat{1}); 
pgrid=zeros(ne,2*p);
for i=1:2*p
    pgrid(:,i)=reshape(pgridmat{i},ne,1);
end;
rho_grid=pgrid(:,1:p); nu_grid=pgrid(:,p+1:end);