function [A,B,C,D]=persys(t,lpvsys,ptrajectory,c,fmp,msk)

if isempty(t), A=ptrajectory([],c,fmp,msk,-1); return; end;

% Construct parameter vector at time t from basis functions
p=ptrajectory(t,c,fmp,msk);

% Evaluate state-space matrices of LPV system at current parameter vector
[A,B,C,D]=lpvsys(p);
